<!--
  ~ Benchmarking Suite
  ~ Copyright 2014-2022 Engineering Ingegneria Informatica S.p.A.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<template>

  <v-container>
    <Welcome v-if="what=='welcome'" />
    <Providers v-if="what=='providers'"
      v-on:up="$emit('up')"
    />
    <Benchmarks v-if="what=='benchmarks'"
      v-on:up="$emit('up')"
    />
    <Schedules v-if="what=='schedules'" 
      v-on:up="$emit('up')"
      v-on:workload-selected="$emit('workload-selected', $event)"
    />
    <Executions v-if="what=='executions'" 
      v-on:up="$emit('up')"
    />
    <Results v-if="what=='results'" 
      v-on:up="$emit('up')"
    />
  </v-container>
    
</template>

<script>

import Welcome from './home/Welcome.vue';
import Providers from './providers/ProvidersMain.vue';
import Benchmarks from './workloads/WorkloadsMain.vue';
import Schedules from './schedules/SchedulesMain.vue';
import Executions from './executions/ExecutionsMain.vue';
import Results from './results/ResultsMain.vue';

export default {

  name: 'Switcher',

  components: {
    Welcome,
    Providers,
    Benchmarks,
    Schedules,
    Executions,
    Results
  },

  props: {
    what: {
      type: String,
      default: "welcome"
    }
  }
  
};

</script>

